package com.biganto.visual.roompark.presentation.screen.favorites

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.domain.model.EstateModel

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class FavoritesScreenViewState : BigantoBaseViewState() {
    class Idle : FavoritesScreenViewState()
    class FavoriteEstatesLoaded(val items: List<EstateModel>) : FavoritesScreenViewState()
}